Categories:
  - System
License: Apache-2.0
WebSite: https://bitbucket.org/lenny_kano/catapult/
SourceCode: https://bitbucket.org/lenny_kano/catapult/src/

Name: Catapult
Description: |-
    ''Catapult'' is a Launcher based on Cyanogen's Trebuchet. If you like the style
    and simplicity of Cyanogenmod, you can now have it on any device running Android
    Lollipop.

RepoType: git
Repo: https://bitbucket.org/lenny_kano/catapult.git

Builds:
  - versionName: 12.1-150804
    versionCode: 1
    commit: 0a8623d
    subdir: app
    gradle:
      - catapult
    forceversion: true
    prebuild:
      - sed -i -e '/versionCode/d' build.gradle
      - sed -i -e '/com.kaneoriley.cyanogenport.launcher3/aversionCode $$VERCODE$$'
        -e 's/23.0.0 rc3/23.0.2/g' build.gradle ../WallpaperPicker/build.gradle
      - sed -i -e 's/<uses-sdk android:minSdkVersion="22" android:targetSdkVersion="22"
        \/>/<uses-sdk android:minSdkVersion="22" android:targetSdkVersion="22" android:maxSdkVersion="23"\/>/'
        ../AndroidManifest.xml

MaintainerNotes: |-
    We cannot perform update checks, since upstream uses date-based version codes
    that are not hard-wired, but calculated on build time.

AutoUpdateMode: None
UpdateCheckMode: None
UpdateCheckName: com.android.launcher3
CurrentVersion: 12.1-150804
CurrentVersionCode: 1
